> ## Documentation Index
> Fetch the complete documentation index at: https://developer.siit.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an Office Location



## OpenAPI

````yaml put /v1/office_locations/{uid}
openapi: 3.0.1
info:
  title: Siit Public API
  version: v0
servers:
  - url: https://api.siit.io
security: []
paths:
  /v1/office_locations/{uid}:
    parameters:
      - name: uid
        in: path
        description: The UID of the Office Location
        required: true
        schema:
          type: string
    put:
      tags:
        - Office Location
      summary: Update an Office Location
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/office_location'
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/updated_office_location_object'
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors_object'
      security:
        - bearer: []
components:
  schemas:
    office_location:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Office Location
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        value:
          type: string
          description: The Office Location name
    updated_office_location_object:
      type: object
      properties:
        result:
          $ref: '#/components/schemas/office_location'
    errors_object:
      type: object
      properties:
        error:
          type: string
        troubleshoot:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````